JOURNAL_CREATE(9)

NAME
journal_create - Initialise the new journal file

SYNOPSIS

int journal_create(journal_t * journal);

ARGUMENTS

journal
    Journal to create. This structure must have been initialised

DESCRIPTION

Given a journal_t structure which tells us which disk blocks we can use, create a new journal superblock and initialise all of the journal fields from scratch.

AUTHORS

Roger Gammans <rgammans@computer-surgery.co.uk>
    Author.

Stephen Tweedie <sct@redhat.com>
    Author.

COPYRIGHT